from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.uno import XInterface

@runtime_checkable
class XSlideShowView(XInterface, Protocol):
    def getCanvas(self) -> XSpriteCanvas: ...
    def clear(self) -> None: ...
    def getTransformation(self) -> AffineMatrix2D: ...
    def getTranslationOffset(self) -> IntegerSize2D: ...
    def addTransformationChangedListener(self, xListener: XModifyListener) -> None: ...
    def removeTransformationChangedListener(self, xListener: XModifyListener) -> None: ...
    def addPaintListener(self, xListener: XPaintListener) -> None: ...
    def removePaintListener(self, xListener: XPaintListener) -> None: ...
    def addMouseListener(self, xListener: XMouseListener) -> None: ...
    def removeMouseListener(self, xListener: XMouseListener) -> None: ...
    def addMouseMotionListener(self, xListener: XMouseMotionListener) -> None: ...
    def removeMouseMotionListener(self, xListener: XMouseMotionListener) -> None: ...
    def setMouseCursor(self, nPointerShape: int) -> None: ...
    def getCanvasArea(self) -> Rectangle: ...
